Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513395 - Review request: octavia-tempest-plugin
Summary: Review request: octavia-tempest-plugin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Chandan Kumar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-QUEENS 1527001 1533563
TreeView+ depends on / blocked
 
Reported: 2017-11-15 10:34 UTC by Nir Magnezi
Modified: 2018-01-11 17:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-09 13:48:36 UTC
chkumar: rdo-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 10523 None master: MERGED rdoinfo: Add python-octavia-tests-tempest (I78edf6b138f1c07f2e52823ca1ad2212a3b0bc58) 2018-01-23 14:19:16 UTC
RDO 10977 None master: MERGED config: Create project for octavia-tempest-plugin (If86091d938555ee9fadb509f9f7d99c2da11870c) 2018-01-23 14:19:09 UTC
RDO 11034 None rpm-master: MERGED openstack/octavia-tempest-plugin-distgit: Initial commit (I5befb77fe16df13bd8e19daa6f2df0ac14d21629) 2018-01-23 14:19:03 UTC
RDO 11086 None master: MERGED rdoinfo: Enable octavia-tempest-plugin for Queens (I8a4afb6f91019c5d4a98e6033dd98ed6dfcc3e68) 2018-01-23 14:18:56 UTC

Description Nir Magnezi 2017-11-15 10:34:32 UTC
Description of problem:
We have a new repo https://github.com/openstack/octavia-tempest-plugin that we will depend on in Octavia soon. We should package the repo for RDO.

Comment 1 Nir Magnezi 2017-11-15 10:47:16 UTC
Package Name: octavia-tempest-plugin
Summary: Tempest plugin for Octavia
Project Url: https://github.com/openstack/octavia-tempest-plugin

Comment 2 Alfredo Moralejo 2017-11-15 11:41:57 UTC
license check:

$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./octavia_tempest_plugin/__init__.py: *No copyright* Apache (v2.0)
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/contributing.rst: *No copyright* UNKNOWN
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/installation.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./octavia_tempest_plugin/tests/base.py: Apache (v2.0)
./octavia_tempest_plugin/tests/test_octavia_tempest_plugin.py: *No copyright* Apache (v2.0)
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN


It's a valid Apache v2.0 license

Comment 3 Nir Magnezi 2017-12-17 14:54:32 UTC
Spec is now up for a review

Comment 6 Chandan Kumar 2017-12-22 07:52:25 UTC
The package looks Sane, hence approving the package.
This package is approved now.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 32 files have unknown
     license. Detailed output of licensecheck in
     /home/chkumar246/arena/rdo_projects/package_review/python-octavia-
     tests-tempest/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/.build-id
     (libwayland-server, python-libxml2, virglrenderer, libblockdev-part,
     iputils, libmad, qt5-qtxmlpatterns, cups-client, efivar-libs, gd, gc,
     iproute-tc, gvfs-fuse, tigervnc-server-minimal, libxshmfence, perl-
     Socket6, qemu-block-curl, libchromaprint, gpgme, osinfo-db-tools,
     libsndfile, abrt, xorg-x11-drv-openchrome, libvisio, libreoffice-gtk3,
     libmediaart, libmcpp, libnfsidmap, xorg-x11-server-utils,
     libimagequant, giflib, libreoffice-graphicfilter, tracker, gnome-maps,
     python2-cffi, gstreamer1-plugins-ugly-free, dleyna-core, qemu-block-
     nfs, libgovirt, bzip2-libs, libqmi-utils, abrt-addon-pstoreoops,
     unzip, psacct, sshpass, libdb-utils, alsa-plugins-pulseaudio, vlc,
     tracker-miners, xorg-x11-font-utils, gtk2, gtk3, lame-libs,
     libcom_err, gnutls-utils, libseccomp, libvirt-daemon-driver-secret,
     gnutls, gnome-bluetooth-libs, atkmm, perl-Digest-SHA, npth,
     python3-cups, libglvnd-glx, p11-kit, libtirpc, iptables-libs, libabw,
     device-mapper-persistent-data, SDL2, cryptsetup-libs, libesmtp,
     ykpers, gnome-system-monitor, libmodman, libvirt-daemon-driver-
     nwfilter, libselinux-utils, perl-Scalar-List-Utils, argyllcms, parted,
     gnome-disk-utility, gspell, libdvdread, perl-version, zstd, xcb-util-
     image, m17n-lib, mozjs17, bluez-libs, mesa-libwayland-egl,
     libblockdev-mdraid, rng-tools, ghostscript-x11, exiv2-libs, lua-posix,
     libinput, libwebp, libxslt, gdbm, libreport-cli, libebml, xorg-x11
     -server-Xwayland, gupnp, python3-dmidecode, python3-hawkey,
     libunistring, abrt-gui-libs, keyutils-libs, perl-Encode, elfutils,
     libproxy, libevdev, libgpg-error, sssd-common-pac, lvm2-libs,
     libosinfo, axel, dleyna-server, gnome-screenshot, libreoffice-math,
     libtimezonemap, audit-libs-python3, perl-Data-Dumper, upower, game-
     music-emu, isns-utils-libs, libreoffice-calc, at-spi2-core, libqmi,
     gutenprint-cups, hypervvssd, gawk, dmraid-events, pcsc-lite-libs,
     libzstd, libasyncns, ibus-m17n, adwaita-gtk2-theme, corosynclib,
     libbasicobjects, brlapi, device-mapper-multipath, c-ares,
     xmlsec1-openssl, libmatroska, lua-lpeg, gnome-keyring-pam, libvirt-
     daemon-driver-network, python2-cairo, sbc, ethtool, gfbgraph, baobab,
     rdma-core, NetworkManager-pptp-gnome, python-xpyb, jansson, vte291,
     libcdr, b43-fwcutter, libgweather, sssd-krb5, e2fsprogs-libs,
     pulseaudio-libs, perl-Params-Util, libsmbclient, gnome-menus, firefox,
     lcms2, alsa-utils, apr, libatasmart, mlocate, libsss_nss_idmap, tmux,
     qemu-guest-agent, ntfs-3g, libXrandr, nautilus, libdvbpsi,
     grub2-tools, libxcb, trousers-lib, libyubikey, gnome-initial-setup,
     avahi-glib, python3-pycurl, mokutil, openconnect, libblockdev-swap,
     tar, xcb-util-keysyms, libreport-plugin-systemd-journal,
     libnetfilter_conntrack, webrtc-audio-processing, bcache-tools,
     python3-gobject, startup-notification, pypy, anaconda-core, m4,
     lksctp-tools, gdb-headless, frei0r-plugins, python26, python2-hawkey,
     fprintd-pam, libgepub, libvdpau, libusbx, jack-audio-connection-kit,
     sushi, libgphoto2, rpm-plugin-systemd-inhibit, NetworkManager-openvpn-
     gnome, compat-openssl10, evince-nautilus, qrencode-libs, opencore-amr,
     libICE, pinfo, libgexiv2, dbus-python, drpm, xcb-util, libtar,
     createrepo_c-libs, grilo, bubblewrap, PackageKit, gnome-contacts,
     libtasn1, speexdsp, libblockdev-dm, python3-coverage, xorg-x11-drv-
     nouveau, openCOLLADA, xcb-util-renderutil, libjpeg-turbo, libe-book,
     anaconda-widgets, libreoffice-x11, python3-dbus, http-parser, sssd-ad,
     iscsi-initiator-utils-iscsiuio, xcb-util-wm, pulseaudio-utils,
     libpinyin, speech-dispatcher-espeak, nmap-ncat, openssl, logrotate,
     libmbim-utils, dhcp-client, fprintd, dbxtool, pinentry-gtk, acl, ocl-
     icd, libmount, gcc, systemd-bootchart, scl-utils, dwz, alsa-lib, file-
     libs, libdnet, libblockdev-lvm, xorg-x11-drv-qxl, cyrus-sasl-gssapi,
     gcr, ntfsprogs, x264-libs, python2-gobject, abrt-libs, gtkmm24,
     ebtables, libvirt-daemon-driver-storage-disk, protobuf, avahi-libs,
     libeot, mesa-dri-drivers, gnome-shell, dbusmenu-qt, NetworkManager,
     trousers, sgpio, ncurses-libs, libidn2, libffado, virt-viewer, samba-
     common-libs, pigz, PackageKit-command-not-found, checkpolicy, libquvi,
     libpsl, libreport-plugin-logger, gnome-color-manager, fcoe-utils,
     abrt-addon-ccpp, xorg-x11-xkb-utils, openldap, libgnomekbd,
     libblockdev-kbd, NetworkManager-openvpn, ibus-rawcode, libxkbfile,
     policycoreutils-python-utils, hplip-libs, pciutils, nautilus-sendto,
     libwvstreams, fwupdate-libs, jimtcl, libao, libreofficekit, openssh-
     clients, xmlrpc-c-client, python33, sane-backends-drivers-cameras,
     perl-libs, libwpd, libX11, libdc1394, lz4, kbd, libvirt-daemon-driver-
     qemu, kexec-tools, rpm-build, htop, boost-date-time, kyotocabinet-
     libs, python3-pwquality, shotwell, bind-libs, libwps, libreoffice-
     core, gssdp, systemd, faad2-libs, wvdial, gnupg2-smime, mythes,
     libpath_utils, evince-libs, satyr, libacl, caribou-gtk3-module,
     libwayland-cursor, gnome-software, openvpn, libnl3, libcap-ng, libSM,
     policycoreutils, pixman, gnome-font-viewer, abrt-plugin-bodhi,
     libmusicbrainz5, pptp, celt051, libidn, xvidcore, bind99-libs,
     libXxf86misc, libwacom, libbluray, foomatic, grubby, libatomic_ops,
     lzo, brltty, NetworkManager-wifi, pango, python3-librepo, colord-gtk,
     python-krbV, pcre2-utf16, libss, libbabeltrace, mod_dnssd, epiphany-
     runtime, nspr, libsss_sudo, dbus, libyaml, libmpeg2, qemu-block-rbd,
     polkit-libs, python3-systemd, psmisc, net-snmp-libs, perl-threads,
     python2-cryptography, perl-Params-Validate, xorg-x11-drv-libinput,
     libnl3-cli, pangomm, ibus-libs, system-config-printer-udev,
     libsss_certmap, libvirt-daemon-driver-storage-sheepdog, pypy3-libs,
     libglvnd-gles, setroubleshoot, python2-libcomps, libblockdev-mpath,
     cairo, mesa-libxatracker, audit-libs, libwnck3, nss-sysinit, libsane-
     hpaio, LibRaw, libgcc, libmng, libvirt-daemon-driver-storage-iscsi,
     freeglut, gstreamer1, gettext-libs, p11-kit-trust, gom, nss,
     efibootmgr, libref_array, gmime30, python3-cffi, poppler, pocl,
     libstemmer, gvfs-afc, dbus-libs, glusterfs-api, djvulibre-libs,
     switcheroo-control, libcanberra-gtk3, cairo-gobject, nm-connection-
     editor, ibus-libzhuyin, fftw-libs-double, xdg-desktop-portal-gtk, net-
     tools, ModemManager, paps, abrt-gui, libcrypt-nss, plymouth-plugin-
     two-step, libvirt-daemon-driver-storage-scsi, spice-glib, flatpak,
     qemu-img, git, qt-x11, qt5-qtbase-gui, libhangul, gutenprint, rtkit,
     usermode, orc, bash, glibc-common, libproxy-mozjs, poppler-glib, oci-
     register-machine, qpdf-libs, linux-atm-libs, libedit, polkit, oci-
     systemd-hook, openssh, libuuid, environment-modules, atk, wavpack,
     libarchive, accountsservice, libfreehand, ibus-gtk3, ibus-gtk2, isl,
     perl-Net-SSLeay, protobuf-c, hfsplus-tools, cheese, udisks2,
     xorg-x11-utils, geocode-glib, clucene-contribs-lib, lvm2, mpg123-libs,
     paps-libs, tcp_wrappers, libblockdev-btrfs, harfbuzz, xz,
     libXcomposite, vconfig, mtools, gupnp-av, python3-libxml2, criu,
     libnfs, cups, librepo, dmraid, gtk-update-icon-cache, vim-minimal,
     pypy3, harfbuzz-icu, vino, gstreamer1-plugins-base, stoken-libs,
     libplist, python3-iscsi-initiator-utils, python3-wrapt, qemu-block-
     gluster, gvfs-client, NetworkManager-libnm, xdg-user-dirs, libvirt-
     daemon-driver-interface, python3-cryptography, python2-libs, vim-
     enhanced, libkate, liblangtag, glusterfs-libs, NetworkManager-glib,
     groff-base, libdatrie, spice-server, gdk-pixbuf2, glade-libs, ftgl,
     setuptool, libmodplug, lrzsz, libglvnd-egl, dos2unix, libiscsi,
     libreport, libusb, telnet, dhcp-libs, beignet, redland, unbound-libs,
     python2-cccolutils, libtalloc, gupnp-dlna, libldb, grep, hypervkvpd,
     libdfu, libsmbios, tcpdump, pcre-utf16, tree, gnome-characters,
     python2-gobject-base, libsigsegv, fribidi, mdadm, pipewire, libepoxy,
     hwloc-libs, gnupg, libvirt-daemon-driver-nodedev, sssd-ipa, mesa-
     libOpenCL, libcanberra, ibus-hangul, rfkill, rpm-plugin-selinux,
     cronie-anacron, gvfs-archive, xfsprogs, control-center,
     NetworkManager-ssh, libcroco, grub2-tools-extra, gedit, gnome-abrt,
     libgcrypt, grub2-tools-efi, libappstream-glib, libblockdev,
     libzapojit, libgudev, dconf, xz-libs, dbus-glib, mesa-libgbm,
     python2-deltarpm, powertop, libfdt, timedatex, libsrtp, perl-Package-
     Stash-XS, telepathy-glib, samba-client-libs, libdvdnav, plymouth-
     plugin-label, libspectre, colord-libs, which, x265-libs, libcap,
     libprojectM, libvirt-daemon-driver-storage-zfs, samba-client, perl-
     Variable-Magic, glib-networking, lua-expat, libwbclient, python3-rpm,
     libdb, libpkgconf, passwd, fluidsynth-libs, cups-pk-helper, totem-pl-
     parser, gpgmepp, kmod-libs, libvirt-daemon-driver-storage-gluster,
     libzhuyin, libdv, gutenprint-libs, libva, libreoffice-writer, desktop-
     file-utils, libXdamage, hypervfcopyd, libsmartcols, autogen-libopts,
     gvfs-gphoto2, docker, numactl-libs, libexttextcat, libmwaw, mod_http2,
     NetworkManager-pptp, redhat-lsb-core, authconfig, nettle, protobuf-
     lite, createrepo_c, libunwind, gnome-session, dleyna-connector-dbus,
     gtkmm30, hdparm, libv4l, libini_config, libverto-libev, docker-rhel-
     push-plugin, luajit, numad, keyutils, liboauth, nss-tools, colord,
     adcli, libpipeline, pkcs11-helper, accountsservice-libs, libevent,
     xmlsec1, iproute, esmtp, libuser, python2-gpg, findutils, popt, vim-
     common, gsound, sudo, fakeroot-libs, qt5-qtx11extras, libsss_idmap,
     gobject-introspection, libpwquality, python2-librepo, libraw1394,
     libwsman1, mesa-libGLU, qemu-block-dmg, fontconfig, krb5-workstation,
     libwpg, folks, os-prober, gnome-clocks, jbigkit-libs, iptables, mcpp,
     freetype, libipa_hbac, gnome-user-share, libfprint, neon, systemd-
     libs, libupnp, cpio, evince-djvu, passwdqc, rest, cyrus-sasl-plain,
     lz4-libs, libgltf, usb_modeswitch, util-linux, libdaemon, guile,
     dotconf, qt, abrt-retrace-client, libXfont, perl-Sort-Key, evince,
     PackageKit-glib, patch, krb5-libs, mtr, sqlite-libs, gnome-online-
     accounts, libconfig, lttng-ust, teamd, libvorbis, enchant, pkgconf,
     NetworkManager-openconnect-gnome, rpcbind, enca, libXxf86dga, json-c,
     xdg-user-dirs-gtk, libodfgen, libwayland-client, liblouis, pinentry-
     gnome3, libpciaccess, NetworkManager-adsl, sed, libXres, libvirt-
     daemon, clucene-core, libsss_autofs, perl-threads-shared,
     libchamplain, yum-metadata-parser, glusterfs-fuse, libaio, kmod, qemu-
     block-ssh, NetworkManager-ssh-gnome, libxml++, initscripts, gvfs-mtp,
     gnome-calculator, libetonyek, device-mapper, gdm, lua, libXtst, gnome-
     documents-libs, kpartx, libpng, ghostscript-core, sane-backends-libs,
     NetworkManager-vpnc-gnome, python3-pillow, raptor2, sssd-client,
     libgxps, python35, gnome-terminal, gnome-online-miners, GeoIP,
     python34, cyrus-sasl, gnome-bluetooth, gstreamer1-plugins-good,
     libpagemaker, hardlink, libsigc++20, libcollection, pakchois, llvm-
     libs, newt, libreport-plugin-reportuploader, libpeas-loader-python3,
     libsolv, pulseaudio-module-bluetooth, libxkbcommon, liba52, hplip,
     python3-abrt, cairomm, device-mapper-multipath-libs, python2-rpm,
     yajl, lockdev, gnome-calendar, nss-softokn, crda, libXft, lsof,
     libical, at-spi2-atk, libattr, symlinks, NetworkManager-vpnc, poppler-
     utils, libreoffice-impress, hyphen, vo-amrwbenc, twolame-libs,
     adwaita-qt4, python2-talloc, mesa-libGL, cifs-utils, python2-pygpgme,
     webkitgtk4, lpsolve, libXfont2, libblockdev-loop, gnome-terminal-
     nautilus, python3-cairo, xorg-x11-server-Xorg, libssh2, syslinux,
     libmbim, open-vm-tools-desktop, samba-dc-libs, libpskc, gnupg2, perl-
     IO, libverto, glibmm24, sssd-ldap, rpm, iio-sensor-proxy, iptstate,
     bridge-utils, pypy-libs, libreport-plugin-ureport, radvd, cracklib,
     procps-ng, realmd, libmspub, plymouth-core-libs, libibverbs, ncurses,
     compiler-rt, xorg-x11-drv-ati, libdnf, python3-libs, graphite2,
     python3-kerberos, simple-scan, libXpm, libreport-plugin-kerneloops,
     glusterfs-cli, perl-PathTools, gnome-keyring, libtdb, ipset-libs,
     bluez-obexd, pulseaudio-libs-glib2, sssd-krb5-common, zlib, libvirt-
     daemon-driver-storage-core, libpeas, lxpolkit, pam_krb5, plymouth-
     graphics-libs, PackageKit-gstreamer-plugin, avahi, libselinux,
     volume_key-libs, mozjs38, cdparanoia-libs, python3-pyparted,
     libudisks2, glusterfs-client-xlators, python2-lxml, libreoffice-pyuno,
     ncurses-compat-libs, libassuan, python3-gpg, libxml2, gstreamer1
     -plugins-bad-free, expat, cups-filters, iw, clutter-gtk, libreoffice-
     ure, librdmacm, ffmpeg-libs, clutter, userspace-rcu, perl-interpreter,
     zenity, libblockdev-utils, chkconfig, lua-socket, bluez-cups, mpage,
     live555, libqb, libnm-gtk, ibus-libpinyin, setroubleshoot-server,
     libcurl, mousetweaks, make, hostname, libsemanage-python3, iscsi-
     initiator-utils, man-db, coreutils, bind-utils, libsecret, xorg-x11
     -drv-wacom, dosfstools, librados2, libvirt-daemon-driver-storage-
     mpath, gvfs, dbus-x11, schroedinger, pam, libnet, util-linux-user,
     usbredir, liborcus, NetworkManager-bluetooth, libdca, libreoffice-
     gtk2, pinentry, yelp-libs, sane-backends-drivers-scanners, vpnc, fuse,
     augeas-libs, libsysfs, gssproxy, libmpcdec, xorg-x11-drv-vesa,
     geoclue2, gnutls-dane, audit, NetworkManager-wwan, pcre-cpp, cups-
     filters-libs, file-roller-nautilus, cups-libs, glusterfs, nautilus-
     extensions, libdmapsharing, zfs-fuse, ipcalc, abrt-dbus, gnome-
     desktop3, gvfs-goa, gdk-pixbuf2-modules, binutils, libsepol, efivar,
     gzip, qemu-common, xen-libs, qgnomeplatform, gsm, boost-filesystem,
     libtevent, nss-pem, libvirt-daemon-driver-storage-logical, ibus-
     wayland, python2-kerberos, less, libvirt-libs, isomd5sum, deltarpm,
     libfdisk, libvpx, tcl, rpm-build-libs, libnghttp2, libsamplerate,
     libdmx, pcre-utf32, libglvnd, samba-libs, boost-iostreams, openssl-
     libs, ostree-libs, task, unique, opencc, boost-system, libpcap, zvbi,
     exempi, qt5-qtdeclarative, libxkbcommon-x11, qemu-block-iscsi, snappy,
     gavl, gmp, libusbmuxd, libgdata, perl-Unicode-Normalize, sssd-nfs-
     idmap, libXdmcp, perl-Filter, sssd-kcm, ipset, clutter-gst3,
     libimobiledevice, lzop, perl-Socket, libselinux-python3, apr-util,
     elfutils-libelf, libdrm, krb5-devel, libreport-python3, polkit-pkla-
     compat, libvisual, pcre2, python3, python2, libmtp, cyrus-sasl-lib,
     librevenge, hexchat, keybinder3, adwaita-qt5, libbytesize, xmlrpc-c,
     fuse-libs, python3-gobject-base, perl-TermReadKey, xdg-desktop-portal,
     gnome-settings-daemon, libgrss, dnsmasq, aalib-libs, geoclue2-libs,
     cogl, rygel, xorg-x11-xauth, libXfixes, shared-mime-info, libipt,
     setools-python3, httpd-tools, gvfs-smb, libblkid, rasqal, gjs, libcue,
     libcdio, libXrender, json-glib, libmspack, wireless-tools, libX11-xcb,
     libfontenc, libicu, libgsf, rsync, GConf2, caribou-gtk2-module, grilo-
     plugins, NetworkManager-openconnect, libgtop2, glibc, webkitgtk4-jsc,
     NetworkManager-team, btrfs-progs, shadow-utils, lua-libs, libcgroup,
     libmfx, libcddb, vlc-core, abrt-addon-coredump-helper, tk, libXau,
     flatpak-libs, fipscheck, espeak, netcf-libs, mactel-boot, bc,
     soundtouch, xorg-x11-drv-evdev, sni-qt, gtk-vnc2, python3-brlapi,
     pulseaudio-module-x11, dmidecode, mesa-libglapi, usbmuxd, libpeas-gtk,
     libXinerama, lirc-libs, wget, glx-utils, libgcab1, gnome-autoar,
     libteam, python3-libcomps, syslinux-extlinux, libcmis, libssh,
     evolution-data-server, elfutils-libs, perl-MIME-Base64, spice-gtk3,
     libreport-web, librsvg2, gvnc, atomic-registries, libgomp, libexif,
     libkadm5, spice-vdagent, xorg-x11-drv-fbdev, libgusb, glib2,
     libvncserver, exiv2, libass, libgdither, libavc1394, libreport-gtk,
     lldpad, mutter, libphodav, qemu-system-x86-core, libtiff,
     wpa_supplicant, libev, libstdc++, libtool-ltdl, libmnl, ppp, libgee,
     libzmf, rdist, mozjs52, gdisk, libnotify, libXcursor, nfs-utils,
     libsoup, libXxf86vm, pcre, libtiger, mesa-libEGL, libchamplain-gtk,
     mosh, cronie, clang-libs, ima-evm-utils, tcp_wrappers-libs, httpd,
     sane-backends, systemd-pam, python2-libvirt, opus, spax, speech-
     dispatcher, ed, liblockfile, git-core, bind-libs-lite, perl-Storable,
     perl-Digest-MD5, pciutils-libs, libxklavier, zip, traceroute,
     PackageKit-gtk3-module, libiptcdata, libmpc, openssh-server, libXi,
     libblockdev-crypto, file-roller, openjpeg2, libshout, flac-libs,
     taglib, libXt, libreoffice-pdfimport, libXv, gnome-logs, rpm-libs,
     libXext, rp-pppoe, libtheora, info, ModemManager-glib, libnfnetlink,
     dracut, ostree, attr, libiec61883, mcelog, perl-Unicode-UTF8, device-
     mapper-event-libs, gtksourceview3, libvirt-daemon-driver-storage-rbd,
     nss-util, plymouth, bluez, device-mapper-event, hunspell, fwupd,
     libsemanage, libreport-plugin-bugzilla, marisa, gstreamer1-plugins-
     bad-free-gtk, libieee1284, libndp, mtdev, systemd-container, libcomps,
     mailx, telepathy-logger, systemd-udev, ibus, libcanberra-gtk2,
     xorg-x11-drv-intel, jwhois, at, file, usbutils, libXvMC, curl, cheese-
     libs, abrt-addon-kerneloops, libthai, bzip2, qt5-qtbase, tix,
     libblockdev-fs, java-1.8.0-openjdk-headless, quota, libXmu, libnma,
     gettext, fakeroot, sheepdog, soxr, nss-softokn-freebl, fipscheck-lib,
     libvirt-client, open-vm-tools, jasper-libs, pyxattr, oci-umount,
     librbd1, time, python2-pycurl, xorg-x11-drv-vmware, libutempter,
     device-mapper-libs, xorg-x11-xinit, cpp, nss-mdns, libogg,
     libmetalink, pyliblzma, libffi, sssd-common, readline, libGLEW,
     libcacard, slang, qt5-qtwayland, libstaroffice, abrt-tui, lzo-minilzo,
     eog, gvfs-afp, yelp, webkitgtk4-plugin-process-gtk2, diffutils,
     pulseaudio, e2fsprogs, libcdio-paranoia, chrony, abrt-addon-xorg,
     grub2-tools-minimal, abrt-java-connector, ibus-qt, libdhash,
     cryptsetup, passwdqc-lib, speex, libksba, caribou, sssd-proxy, mpfr),
     /usr/lib/.build-id/96(speex, nss-tools, adcli, setroubleshoot,
     iproute, gnome-shell, libuser, gupnp-dlna, python3-cups, freeglut,
     gstreamer1, libreoffice-core, harfbuzz-icu, gstreamer1-plugins-base,
     samba-client-libs, coreutils, python26, gnome-font-viewer, util-linux,
     hexchat, libnl3-cli, clang-libs)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     octavia-tests-tempest-golang , python2-octavia-tests-tempest , python-
     octavia-tests-tempest-doc , python3-octavia-tests-tempest , python-
     octavia-tests-tempest-debugsource
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev10
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: python-octavia-tests-tempest-golang-0.0.1-0.20171221110418.a268ca7.fc28.x86_64.rpm
          python2-octavia-tests-tempest-0.0.1-0.20171221110418.a268ca7.fc28.noarch.rpm
          python-octavia-tests-tempest-doc-0.0.1-0.20171221110418.a268ca7.fc28.noarch.rpm
          python3-octavia-tests-tempest-0.0.1-0.20171221110418.a268ca7.fc28.noarch.rpm
          python-octavia-tests-tempest-debugsource-0.0.1-0.20171221110418.a268ca7.fc28.x86_64.rpm
          python-octavia-tests-tempest-0.0.1-0.20171221110418.a268ca7.fc28.src.rpm
python-octavia-tests-tempest-golang.x86_64: W: summary-not-capitalized C python-octavia-tests-tempest golang files
python-octavia-tests-tempest-golang.x86_64: W: spelling-error %description -l en_US httpd -> HTTP
python-octavia-tests-tempest-golang.x86_64: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python-octavia-tests-tempest-golang.x86_64: E: no-changelogname-tag
python-octavia-tests-tempest-golang.x86_64: E: statically-linked-binary /usr/bin/octavia-tempest-plugin-tests-httpd
python-octavia-tests-tempest-golang.x86_64: W: only-non-binary-in-usr-lib
python-octavia-tests-tempest-golang.x86_64: W: no-documentation
python-octavia-tests-tempest-golang.x86_64: W: no-manual-page-for-binary octavia-tempest-plugin-tests-httpd
python2-octavia-tests-tempest.noarch: W: spelling-error Summary(en_US) golang -> Angolan, Golan, Angola
python2-octavia-tests-tempest.noarch: W: summary-not-capitalized C python-octavia-tests-tempest golang files
python2-octavia-tests-tempest.noarch: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python2-octavia-tests-tempest.noarch: E: no-changelogname-tag
python-octavia-tests-tempest-doc.noarch: W: summary-not-capitalized C python-octavia-tests-tempest documentation
python-octavia-tests-tempest-doc.noarch: E: no-changelogname-tag
python3-octavia-tests-tempest.noarch: W: summary-not-capitalized C python-octavia-tests-tempest documentation
python3-octavia-tests-tempest.noarch: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python3-octavia-tests-tempest.noarch: E: no-changelogname-tag
python-octavia-tests-tempest-debugsource.x86_64: E: no-changelogname-tag
python-octavia-tests-tempest-debugsource.x86_64: W: no-documentation
python-octavia-tests-tempest.src: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python-octavia-tests-tempest.src: E: no-changelogname-tag
python-octavia-tests-tempest.src: W: invalid-url Source0: octavia-tempest-plugin-0.0.1.dev10-0.20171221110418.a268ca7.tar.gz
6 packages and 0 specfiles checked; 11 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python-octavia-tests-tempest-golang-debuginfo-0.0.1-0.20171221110418.a268ca7.fc28.x86_64.rpm
python-octavia-tests-tempest-golang-debuginfo.x86_64: E: no-changelogname-tag
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
python-octavia-tests-tempest-golang-debuginfo.x86_64: E: no-changelogname-tag
python-octavia-tests-tempest-golang-debuginfo.x86_64: W: invalid-url URL: https://git.openstack.org/cgit/openstack/octavia-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
python-octavia-tests-tempest-debugsource.x86_64: E: no-changelogname-tag
python-octavia-tests-tempest-debugsource.x86_64: W: invalid-url URL: https://git.openstack.org/cgit/openstack/octavia-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
python-octavia-tests-tempest-debugsource.x86_64: W: no-documentation
python3-octavia-tests-tempest.noarch: W: summary-not-capitalized C python-octavia-tests-tempest documentation
python3-octavia-tests-tempest.noarch: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python3-octavia-tests-tempest.noarch: E: no-changelogname-tag
python3-octavia-tests-tempest.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/octavia-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
python-octavia-tests-tempest-doc.noarch: W: summary-not-capitalized C python-octavia-tests-tempest documentation
python-octavia-tests-tempest-doc.noarch: E: no-changelogname-tag
python-octavia-tests-tempest-doc.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/octavia-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
python2-octavia-tests-tempest.noarch: W: spelling-error Summary(en_US) golang -> Angolan, Golan, Angola
python2-octavia-tests-tempest.noarch: W: summary-not-capitalized C python-octavia-tests-tempest golang files
python2-octavia-tests-tempest.noarch: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python2-octavia-tests-tempest.noarch: E: no-changelogname-tag
python2-octavia-tests-tempest.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/octavia-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
python-octavia-tests-tempest-golang.x86_64: W: summary-not-capitalized C python-octavia-tests-tempest golang files
python-octavia-tests-tempest-golang.x86_64: W: spelling-error %description -l en_US httpd -> HTTP
python-octavia-tests-tempest-golang.x86_64: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python-octavia-tests-tempest-golang.x86_64: E: no-changelogname-tag
python-octavia-tests-tempest-golang.x86_64: W: invalid-url URL: https://git.openstack.org/cgit/openstack/octavia-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
python-octavia-tests-tempest-golang.x86_64: W: ldd-failed /usr/bin/octavia-tempest-plugin-tests-httpd
python-octavia-tests-tempest-golang.x86_64: E: statically-linked-binary /usr/bin/octavia-tempest-plugin-tests-httpd
python-octavia-tests-tempest-golang.x86_64: W: only-non-binary-in-usr-lib
python-octavia-tests-tempest-golang.x86_64: W: no-documentation
python-octavia-tests-tempest-golang.x86_64: W: no-manual-page-for-binary octavia-tempest-plugin-tests-httpd
6 packages and 0 specfiles checked; 10 errors, 17 warnings.



Requires
--------
python-octavia-tests-tempest-debugsource (rpmlib, GLIBC filtered):

python3-octavia-tests-tempest (rpmlib, GLIBC filtered):
    python(abi)
    python-octavia-tests-tempest-golang
    python3-oslotest
    python3-pbr
    python3-tempest
    python3-tenacity

python-octavia-tests-tempest-doc (rpmlib, GLIBC filtered):

python2-octavia-tests-tempest (rpmlib, GLIBC filtered):
    python(abi)
    python-octavia-tests-tempest-golang
    python-oslotest
    python-pbr
    python-tempest
    python-tenacity

python-octavia-tests-tempest-golang (rpmlib, GLIBC filtered):



Provides
--------
python-octavia-tests-tempest-debugsource:
    python-octavia-tests-tempest-debugsource
    python-octavia-tests-tempest-debugsource(x86-64)

python3-octavia-tests-tempest:
    python3-octavia-tests-tempest
    python3.6dist(octavia-tempest-plugin)
    python3dist(octavia-tempest-plugin)

python-octavia-tests-tempest-doc:
    python-octavia-tests-tempest-doc

python2-octavia-tests-tempest:
    python-octavia-tests-tempest
    python-octavia-tests-tempest(x86-64)
    python2-octavia-tests-tempest
    python2.7dist(octavia-tempest-plugin)
    python2dist(octavia-tempest-plugin)

python-octavia-tests-tempest-golang:
    python-octavia-tests-tempest-golang
    python-octavia-tests-tempest-golang(x86-64)



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -r -m dlrn-master -b 1513395
Buildroot used: dlrn-fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Note You need to log in before you can comment on or make changes to this bug.